Net::CUPS::IPP(3pm)

NAME
Net::CUPS::IPP - Internet Printing Protocol Object

SYNOPSIS
  use Net::CUPS::IPP;

  my $ipp = Net::CUPS::IPP->new( IPP_GET_JOB_ATTRIBUTE );

  my $size = $ipp->getSize();

  $ipp->addString( $group, $type, $name, $charset, $value );

DESCRIPTION
Net::CUPS is an object oriented interface to the Common Unix Printing System.

Net::CUPS::IPP is an abstraction of the IPP implementation in CUPS.

METHODS

addString
    $ipp->addString( $group, $type, $name, $charset, $value );

    Implementation of the CUPS C function "ippAddString". Please refer the IPP documentation for its usage.

getAttributes
    my @attributes = $ipp->getAttributes();

    This method will return an array of all the attributes in an IPP request.

getAttributeValue
    my $value = $ipp->getAttributeValue( $name );

    Method to return the associated value with method.

getSize
    my $size = $ipp->getSize();

    Utility to function to acquire the size of the IPP request. This is mainly useful for debugging.

SEE ALSO
Net::CUPS, Net::CUPS::PPD, Net::CUPS::Destination

SUPPORT
Net::CUPS is currently maintained by Stefan Seifert <NINE@cpan.org>. The Github repository for this project is at <https://github.com/niner/perl-Net-CUPS>. Pull requests are welcome.

AUTHOR
Dracken Technology, Inc. (http://www.dracken.com/)

COPYRIGHT AND LICENSE
Copyright (c) 2003-2005 David Hageman

Copyright (c) 2006-2009 Dracken Technology, Inc.

All rights reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.

CUPS, the Common UNIX Printing System, the CUPS logo, and ESP Print Pro are the trademark property of Easy Software Products.